crossfire-client (1.72.0-1) unstable; urgency=medium

  * New upstream release
    - Add build-dep: valac.
    - Update debian/rules to invoke cmake and replace dh-autoreconf with
      cmake in build deps.
  * Standards-Version 4.1.0
    - Drop menu file.
  * debian/compat bumped to 10.
  * Removed patches fix_write_socket_cond and configure_lua due to
    upstream source changes.
  * Install icons to /usr/share/icons. (Closes: #737851)
  * Verified that the new cfsndserv version won't crash with Mayhem
    test. (Closes: #715724)

 -- Kari Pahula <kaol@debian.org>  Sun, 17 Sep 2017 19:05:40 +0300

crossfire-client (1.71.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change B-D to libpng-dev (Closes: #809836)
  * Add d/watch from the PTS

 -- Tobias Frost <tobi@debian.org>  Wed, 06 Jan 2016 14:44:13 +0100

crossfire-client (1.71.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 3.9.5 (no changes necessary).
  * Removed no longer used build-deps libglade2-dev and libasound2-dev.
  * Add build-dep libsdl-mixer1.2-dev.

 -- Kari Pahula <kaol@debian.org>  Wed, 14 May 2014 20:31:31 +0300

crossfire-client (1.70.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.3 (no changes necessary).
  * Use dh-autoreconf.

 -- Kari Pahula <kaol@debian.org>  Mon, 09 Apr 2012 18:52:20 +0300

crossfire-client (1.60.0-3) unstable; urgency=low

  * Standards-Version: 3.9.2 (no changes necessary)
  * Don't try to include removed curl/types.h (Closes: #638380)
  * Don't list individual arches to exclude but use libasound2-dev (>=
    1.0.4) [linux-any] as a build dep (Closes: #634686)

 -- Kari Pahula <kaol@debian.org>  Wed, 14 Sep 2011 18:28:35 +0300

crossfire-client (1.60.0-2) unstable; urgency=low

  * Readd -lX11 to linker flags (Closes: #618049)
  * Install crossfire-client.desktop to /usr/share/applications/

 -- Kari Pahula <kaol@debian.org>  Mon, 28 Mar 2011 19:27:33 +0300

crossfire-client (1.60.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.1 (no changes necessary).
  * Patch configure.ac to enable lua scripting.
  * Removed crossfire-client-{x11,gtk,gkt2} packages.

 -- Kari Pahula <kaol@debian.org>  Sun, 06 Feb 2011 17:27:21 +0200

crossfire-client (1.50.0-2) unstable; urgency=low

  * Install cfsndserv*, not cfsndserv_alsa9 to make kfreebsd land happy.

 -- Kari Pahula <kaol@debian.org>  Thu, 17 Jun 2010 21:55:04 +0300

crossfire-client (1.50.0-1) unstable; urgency=low

  * New upstream release
    + GTK+ v1 and X11 clients removed.
  * Turn crossfire-client-{x11,gtk,gtk2} into metapackages pulling in
    crossfire-client, which package now has the only remaining client, the
    gtk2 one.
  * Don't quote as much in descriptions.  (Closes: #549239)
  * Standards-Version 3.8.4, source/format 3.0 (quilt) and debhelper
    compat 7.
  * Added LIBS=-lX11 to configure's args to make binutils-gold happy.
    (Closes: #554292)
  * Build depend on automake, run autoreconf at build time.

 -- Kari Pahula <kaol@debian.org>  Thu, 17 Jun 2010 18:04:07 +0300

crossfire-client (1.12.0-2) unstable; urgency=low

  * Added missing build dependency: libglade2-dev

 -- Kari Pahula <kaol@debian.org>  Wed, 05 Aug 2009 22:12:55 +0300

crossfire-client (1.12.0-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Wed, 05 Aug 2009 14:36:12 +0300

crossfire-client (1.11.0-2) unstable; urgency=low

  * Built the original GTK+ client against GTK+ 2.0.  (Closes: #510778)
  * Bumped Standards-Version to 3.8.0, no changes necessary.

 -- Kari Pahula <kaol@debian.org>  Sun, 15 Feb 2009 14:57:47 +0200

crossfire-client (1.11.0-1) unstable; urgency=low

  * New upstream release
  * Use OpenGL support with the GTK+ and GTK+ 2 clients.
  * Cleaned the diff.gz by removing a couple of generated files from under
    sound-src in debian/rules clean.

 -- Kari Pahula <kaol@debian.org>  Wed, 13 Feb 2008 10:13:52 +0200

crossfire-client (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Install the README, README-dev and TODO files specific to the GTK2
    client to the corresponding package.

 -- Kari Pahula <kaol@debian.org>  Fri, 13 Apr 2007 21:15:44 +0300

crossfire-client (1.9.1-2) unstable; urgency=low

  * Clarified the descriptions and dependencies to make the
    crossfire-client package act as a metapackage to install one of the
    GUI clients.  (Closes: #403233)

 -- Kari Pahula <kaol@debian.org>  Fri, 15 Dec 2006 20:28:59 +0200

crossfire-client (1.9.1-1) unstable; urgency=low

  * New upstream release
  * asound [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] (Closes: #375398)
  * Patched gcfclient2 to make Configure menu option not segfault when no
    existing configuration file is present

 -- Kari Pahula <kaol@debian.org>  Thu,  6 Jul 2006 05:28:42 +0300

crossfire-client (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@iki.fi>  Tue,  7 Mar 2006 17:35:10 +0200

crossfire-client (1.8.0-2) unstable; urgency=low

  * Removed unneeded and obsolete build-dep xlibs-dev.
  * Backported fix for split windows mode from CVS (Closes: #341768)

 -- Kari Pahula <kaol@iki.fi>  Sat, 17 Dec 2005 08:49:34 +0200

crossfire-client (1.8.0-1) unstable; urgency=low

  * New upstream release (closes: #298438)
  * New maintainer
  * Set datadir to /usr/share/games and sounddir to
    /usr/share/games/crossfire/sounds.

 -- Kari Pahula <kaol@iki.fi>  Sat, 20 Aug 2005 23:46:35 +0300

crossfire-client (1.7.0-3) unstable; urgency=low

  * Add build-dep to libsdl-image1.2-dev (closes: #276823)
  * We use cdbs now (closes: #263072)
  
  * Full upstream 1.7.0-2.3 changelog:
    - Small changes to debian/rules to aclocal && automake -ac
       so we regen the files on each platform/architecture
    - Added rules to build the soundef.h file before the actual sound server, see
       http://www.gnu.org/software/automake/manual/html_mono/automake.html#Built%20sources%20example
       for details
    - Moved images to recommends (thanks Todd Mitchell)
    By Robert J. Tanner <tanner@real-time.com>  Tue, 21 Sep 2004 00:11:42 -0500
  
  * Full upstream 1.7.0-2.2 changelog:
  
    - NMU
    - Major clean up of Makefiles
    - Switch debian/rules to cdbs
    - Build package from automake rework CVS branch
    By Robert J. Tanner <tanner@real-time.com>  Mon,  6 Sep 2004 16:23:47 -0500

  * Full upstream changelog for 1.7.0-1.1 for completeness sake:
  
    - NMU
    - New upstream release (closed: #260328)
    - Updated the copyright file, FSF postal address was wrong
    - Make clients depends on crossfire-client-images
    By Robert J. Tanner <tanner@real-time.com>
  
  * Upstream converted debian/rules to use cdbs (closes: #263072) 
   
 -- Jaakko Niemi <liiwi@debian.org>  Tue, 19 Oct 2004 20:50:59 +0300

crossfire-client (1.7.0-2.2) experimental; urgency=low

  * NMU
  * Major clean up of Makefiles
  * Switch debian/rules to cdbs
  * Build package from automake rework CVS branch

 -- Robert J. Tanner <tanner@real-time.com>  Mon,  6 Sep 2004 16:23:47 -0500

crossfire-client (1.7.0-2) unstable; urgency=low

  * New upstream release (closes: #260328)
    based on upstream packaging work. -2 version to make 
    packages installed from upstream repository upgraded to this version.
  * Updated the copyright file, FSF postal address was wrong
  * Make clients suggest crossfire-client-images

 -- Jaakko Niemi <liiwi@debian.org>  Mon,  2 Aug 2004 01:02:44 +0300

crossfire-client (1.6.0-2) unstable; urgency=low

  * update config.{guess,sub} and slap self (closes: 218684)
  * small patch to x11/png.c to fix segfault (closes: #218015, #218674)

 -- Jaakko Niemi <liiwi@debian.org>  Sat, 15 Nov 2003 22:42:35 +0200

crossfire-client (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Jaakko Niemi <liiwi@debian.org>  Fri, 31 Oct 2003 18:17:55 +0200

crossfire-client (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Remove dependency to xlib6g-dev (closes: #170177)
  * Add /usr/doc symlink cleanup to postinsts (closes: #161858, #161859)

 -- Jaakko Niemi <liiwi@debian.org>  Sun,  9 Mar 2003 23:44:06 +0200

crossfire-client (1.4.0-2) unstable; urgency=low

  * add missing libsdl1.2-dev builddep (closes: #167462)

 -- Jaakko Niemi <liiwi@debian.org>  Sat,  2 Nov 2002 19:46:17 +0200

crossfire-client (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Compile against newer png libs (closes: #166422)

 -- Jaakko Niemi <liiwi@debian.org>  Sat, 26 Oct 2002 23:28:37 +0300

crossfire-client (1.3.0-1) unstable; urgency=low

  * New upstream version
  * Build-depend on libpng3-dev (closes: #156621)
  * punt /usr/doc stuff

 -- Jaakko Niemi <liiwi@debian.org>  Fri, 16 Aug 2002 00:08:59 +0300

crossfire-client (1.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Jaakko Niemi <liiwi@debian.org>  Wed, 17 Apr 2002 20:43:54 +0300

crossfire-client (1.1.0-3) unstable; urgency=low

  * copy new config{sub,guess} to the right tree this time (closes: #135098)
  * enabled new soundsystem
  * added cfsndserv to crossfire-client
  * added manpage for cfsndserv

 -- Jaakko Niemi <liiwi@debian.org>  Sat, 23 Feb 2002 22:17:43 +0200

crossfire-client (1.1.0-2) unstable; urgency=low

  * fix build-deps and refresh config{sub,guess} (thanks, lamont)

 -- Jaakko Niemi <liiwi@debian.org>  Fri, 15 Feb 2002 23:53:24 +0200

crossfire-client (1.1.0-1) unstable; urgency=low

  * New maintainer
  * build-deps exist, we don't care about potato (closes: #70339)
  * new upstream version (closes: #103631)
  * verified that client does not crash if there is no server 
    on localhost (closes: #32089)

 -- Jaakko Niemi <liiwi@debian.org>  Mon, 11 Feb 2002 01:44:42 +0200

crossfire-client (0.95.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't create dirs under /usr/doc. (closes: #91416, #91418, #91420)
  * Create postinst and prerm to handle symlinks in /usr/doc.
  * Delete debian/info.ex.
  * Updated standards version to 3.5.2 and added build dependencies.

 -- Ivo Timmermans <ivo@debian.org>  Sun, 15 Apr 2001 18:45:14 +0200

crossfire-client (0.95.4-2) unstable; urgency=low

  * Changed sound paths so that sound works (closes: #44383)

 -- Darren Benham <gecko@debian.org>  Mon, 29 May 2000 09:49:43 -0700

crossfire-client (0.95.4-1) unstable; urgency=low

  * New upstream version

 -- Darren Benham <gecko@debian.org>  Thu,  5 Aug 1999 14:40:57 -0700

crossfire-client (0.95.3-1) unstable; urgency=low

  * New upstream version
  * For a test server, try benham.net

 -- Darren Benham <gecko@debian.org>  Wed, 21 Apr 1999 21:17:53 -0700

crossfire-client (0.95.2-1) unstable; urgency=low

  * New upstream version
  * New rules (Fixes #32087 #32170)
  * Compiled gtk client aginast 1.2 (Fixes #35392)
  * Changed depends (Fixes #32170 #32667)

 -- Darren Benham <gecko@debian.org>  Thu, 25 Mar 1999 19:22:59 -0800

crossfire-client (0.95.1-2) unstable; urgency=low

  * upgraded lintian -- fixed the errors the showed.

 -- Darren Benham <gecko@debian.org>  Sun, 17 Jan 1999 00:08:02 -0800

crossfire-client (0.95.1-1) unstable; urgency=low

  * New Version (closes #31459)

 -- Darren Benham <gecko@debian.org>  Thu,  7 Jan 1999 20:13:08 -0800

crossfire-client (0.94.3-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Sat, 10 Oct 1998 21:56:54 -0700


